Subject: Re: [clue] <globalCaptureEntry> in data model

From: Roberta Presta <[email-masked]>
Date: Tue, 01 Apr 2014 12:44:18 +0200

Christian and Mark,

thank you for your clarification.
I will correct the draft accordingly.

Roberta

Il 26/03/2014 23:49, Christian Groves ha scritto:
> Hello Roberta,
>
> I think Mark has captured my concern about individual captures being 
> used in a GCSE.
>
> Regards, Christian
>
> On 27/03/2014 6:26 AM, Duckworth, Mark wrote:
>>
>> Hi Roberta,
>>
>> Initially, I was thinking the same thing as you, and that is how I 
>> presented it on the list and at London. Then at London I changed my 
>> mind as a few people agreed that using only CSEs better matches the 
>> meaning of the global list. I think Christian first mentioned in 
>> email on the list 
>> <http://www.ietf.org/mail-archive/web/clue/current/msg03541.html> why 
>> it would be better to use only CSEs within the global CSE list rather 
>> than also including individual captures:
>>
>> “I'm also not too sure about GCEs listing individual captures. What 
>> does an individual capture mean at that level? The CSEs indicate what 
>> captures represent a scene. Why would a provider indicate that you 
>> need a set of captures and then contradict itself by suggesting 
>> another set of captures.”
>>
>> The semantic meaning of an item in the global CSE list is that it 
>> represents the entire advertisement. So we thought it didn’t make 
>> sense to specify individual captures which themselves weren’t even a 
>> representation of a complete scene. So by including only CSEs, and 
>> not individual captures, it helps enforce this meaning.
>>
>> Mark
>>
>> *From:*Roberta Presta [mailto:[email-masked]]
>> *Sent:* Wednesday, March 26, 2014 5:36 AM
>> *To:* Duckworth, Mark; [email-masked]
>> *Subject:* Re: <globalCaptureEntry> in data model
>>
>> Hi Mark,
>>
>> there is of course a typo in the definition, sorry.
>> In my presentation in London I tried to highlight commonalities when 
>> dealing with "content lists" in simultaneous sets, multiple content 
>> captures and global capture entries.
>> I proposed to use for global capture entries the same content format 
>> of simultaneous sets and multiple content captures:
>>
>> "The content can be specified in terms of:
>> 1.A list of (homogeneous) media capture identifiers
>> 2.A list of (homogeneous) capture Scene Entry identifiers (used as 
>> shortcuts)"
>>
>> As far as I remember, there were no objections to that.
>> It does not seem to be in contrast with discussion on the mailing list.
>> Is there any reason why we should not include references to media 
>> captures within GCEs?
>>
>> Roberta
>>
>>
>> Il 25/03/2014 20:47, Duckworth, Mark ha scritto:
>>
>>     I think in London we agreed that a single item in the new Global
>>     CSE List would consist of a set of one or more CSEs. We don’t want
>>     to include direct references to Media Captures. If I’m remembering
>>     correctly, then in section 18 we should remove this part:
>>
>>     <xs:element name="captureIDREF" type="xs:IDREF"
>>
>>     minOccurs="0" maxOccurs="unbounded"/>
>>
>>     I think there is a typo in the first sentence:
>>
>>     “<globalCaptureEntry> represents a set of captures of the same
>>     media time...”
>>
>>     should be:
>>
>>     “<globalCaptureEntry> represents a set of captures of the same
>>     media *type*...”
>>
>>     and then I suggest change to clarify it is built from CSEs:
>>
>>     “<globalCaptureEntry> represents a set of Capture Scene Entries of
>>     the same media *type*...”
>>
>>     I’m in process of adding “Global CSE List” to the framework 
>> document.
>>
>>     Regards,
>>
>>     Mark
>>
>>
>>
>> _______________________________________________
>> clue mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/clue
>
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue
>